# Pay CH Bill

## Pay CH Bill

The Pay CH Bill allows a cardholder to pay a bill.

## Input Parameters:

| Name                    | Required | Definition                                                                                                                                                                        | Comments |
| ----------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| Amount                  | Y        | <p>Format: Numeric, 1-9<br>Description: The amount is in cents.</p>                                                                                                               |          |
| BillNickname            | N        | <p>Format: Alphanumeric, 100<br>Description: The name of the bill as defined by the cardholder<br>Can contains as well all special characters (but cannot contain only blank)</p> |          |
| BPPTransactionSessionID | N        | Alphanumeric, 1-20                                                                                                                                                                |          |
| ID                      | Y        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case IDType = RPID<br>Input should be Card Number in case IDType = CardNumber</p>                             |          |
| IDType                  | Y        | CardNumber (Default), RPID, ANY (add ANY only to ALL APIs - allow to send RPID/DDA number and the application identify it and change it to card number)                           |          |

## Output Parameters:

| Name                         | Definition                                                                                                                                                                                                                                                                                                             | Failure Case | Success Case | Comments           |
| ---------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------ | ------------------ |
| ApprovalCode                 | Format:Alphanumeric, 8                                                                                                                                                                                                                                                                                                 | Not returned | Returned     |                    |
| BillerAccount                | Format: Alphanumeric, 100                                                                                                                                                                                                                                                                                              | Not returned | Returned     | Billers/Biller tag |
| BillNickname                 | <p>Format: Alphanumeric, 100<br>Description: The name of the bill as defined by the cardholder<br>Can contains as well all special characters (but cannot contain only blank)</p>                                                                                                                                      | Not returned | Returned     | Billers/Biller tag |
| BPPBillerCutoffTime          | Format: Alphanumeric, 12                                                                                                                                                                                                                                                                                               | Not returned | Returned     | Billers/Biller tag |
| BPPBillerDescription         | <p>Format: Alphanumeric, 100<br>Description: The name of the biller to show to the end user</p>                                                                                                                                                                                                                        | Not returned | Returned     | Billers/Biller tag |
| BPPBillerID                  | <p>Format: Alphanumeric, 100<br>Description: Value got from Get Billers List API</p>                                                                                                                                                                                                                                   | Not returned | Returned     | Billers/Biller tag |
| BPPBillerPhone               | Format: Numeric, 14                                                                                                                                                                                                                                                                                                    | Not returned | Returned     | Billers/Biller tag |
| BPPBillerWebsite             | Format: Alphanumeric, 40 (including all web address strings as : / .)                                                                                                                                                                                                                                                  | Not returned | Returned     | Billers/Biller tag |
| BPPCancelWarnFlag            | Format: Y/N                                                                                                                                                                                                                                                                                                            | Not returned | Returned     | Billers/Biller tag |
| BPPExpectedPostingTimeFrame  | Format: Alphanumeric, 100                                                                                                                                                                                                                                                                                              | Not returned | Returned     | Billers/Biller tag |
| BPPFeeAmount                 | Format: Numeric, 1-14                                                                                                                                                                                                                                                                                                  | Not returned | Returned     |                    |
| BPPRefundWarnFlag            | Format: Y/N                                                                                                                                                                                                                                                                                                            | Not returned | Returned     | Billers/Biller tag |
| BPPServiceOfferingID         | Format: Alphanumeric, 21                                                                                                                                                                                                                                                                                               | Not returned | Returned     | Billers/Biller tag |
| FeeAmount                    | Format: Numeric, 10                                                                                                                                                                                                                                                                                                    | Not returned | Returned     |                    |
| BPPCustomerTips              | Format: Alphanumeric, 1-120                                                                                                                                                                                                                                                                                            | Not returned | Returned     | Tips/tip tag       |
| BPPTollFreePhoneNumber       | Format: Alphanumeric, 1-120                                                                                                                                                                                                                                                                                            | Not returned | Returned     |                    |
| ProductTypeName              | <p>Format: Alphanumeric, 1-120<br>Description: Each sub program in Praxell consists of one or more product types. A product type is a set of attributes that are applied to the cards that belong to this product type. The ProductTypeName field is the name of the product used when creating and issuing cards.</p> | Not returned | Returned     |                    |
| CardNumber                   | Format: Numeric, 16                                                                                                                                                                                                                                                                                                    | Not returned | Returned     |                    |
| OriginalAvailableCardBalance | Format: Numeric, 11                                                                                                                                                                                                                                                                                                    | Not returned | Returned     |                    |
| AvailableCardBalance         | Format: Numeric, 11                                                                                                                                                                                                                                                                                                    | Not returned | Returned     |                    |

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
<PraxellXMLRequest>
    <AuthenticationDetails>
        <UserName>abuali_QA</UserName>
        <UserPassword>1q2w3e4r</UserPassword>
      <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
    <ServiceDetails>
        <UniqueRequestId>1212121212121252</UniqueRequestId>
        <ServiceName>PayCHBill</ServiceName>
    </ServiceDetails>
    <Origin>
        <OriginType>ExtAPI</OriginType>
    </Origin>
    <ServiceParams>        
        <Amount>1300</Amount>
        <BillerMobilePhone>052123456</BillerMobilePhone>
        <BillerZip>12345</BillerZip>
        <BillNickname>my bill</BillNickname>
        <BPPBillerID>PRX_Biller1</BPPBillerID>
        <BPPBillerLookupType>MobilePhoneAndZip</BPPBillerLookupType>
        <ID>1897890060769839</ID>
        <IDType>CardNumber</IDType>
    </ServiceParams>
</PraxellXMLRequest>
```

```json
 <?xml version="1.0" ?> 
  <PraxellXMLResponse>
  <ResponseDetails>
  <ServiceName>PayChBill</ServiceName> 
  <SessionId>18495717201130110</SessionId> 
  <StatusCode>0</StatusCode> 
  <StatusName>StatusOK</StatusName> 
  <StatusDescription>NA</StatusDescription> 
  <ServiceDate>2011-11-21 17:30:09</ServiceDate> 
  <ServiceId>18495717201130110</ServiceId> 
  </ResponseDetails>
  <ResponseParams>
     <ApprovalCode> </ApprovalCode> 
  </ResponseParams>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>PayCHBill</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/transactions/pay-ch-bill.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
